/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.monitor.stats.lb;

// 
// This interface has all of the bean info accessor methods.
// 

public interface ClusterStatsInterface {
	public java.lang.String getId();

	public void setInstanceStats(com.sun.enterprise.admin.monitor.stats.lb.InstanceStats[] value);

	public com.sun.enterprise.admin.monitor.stats.lb.InstanceStats[] getInstanceStats();

	public void setInstanceStats(int index, com.sun.enterprise.admin.monitor.stats.lb.InstanceStats value);

	public com.sun.enterprise.admin.monitor.stats.lb.InstanceStats getInstanceStats(int index);

	public int sizeInstanceStats();

	public java.util.List fetchInstanceStatsList();

	public int addInstanceStats(com.sun.enterprise.admin.monitor.stats.lb.InstanceStats value);

	public int removeInstanceStats(com.sun.enterprise.admin.monitor.stats.lb.InstanceStats value);

	public void setId(java.lang.String value);

}
